<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE topic PUBLIC "-//OASIS//DTD DITA Topic//EN" "topic.dtd">
<topic id="pop-up-editor">
  <title>Pop-up Form Control</title>
  <shortdesc>The <codeph>oxy_popup</codeph> built-in form control is used to offer a contextual menu
    that provides quick access to various actions. A pop-up form control can display single or
    multiple selections.</shortdesc>
  <prolog>
    <metadata>
      <keywords>
        <indexterm>CSS extensions<indexterm>Form
          Controls<indexterm>Pop-up</indexterm></indexterm></indexterm>
        <indexterm>Form Controls<indexterm>Pop-up</indexterm></indexterm>
      </keywords>
    </metadata>
  </prolog>
  <body>
    <p id="p_jtd_dgk_54b">The <codeph>oxy_popup</codeph> form control supports the following
        properties:<ul id="ul_ktd_dgk_54b">
        <li id="li_qtd_dgk_54b"><ph conkeyref="reusables-author-mode-customization/color-property"
            /><note id="note_rtd_dgk_54b">This property is used for rendering in the
              <uicontrol>Author</uicontrol> mode.</note></li>
        <li id="li_d5d_dgk_54b"><ph conkeyref="reusables-author-mode-customization/columns-property"
          /> This property is used for the visual representation of the form control.</li>
        <li id="li_ltd_dgk_54b"><ph conkeyref="reusables-author-mode-customization/edit_property"
            /><ul conkeyref="reusables-author-mode-customization/edit_property_ul"
            id="ul_mtd_dgk_54b">
            <li id="li_ntd_dgk_54b"/>
          </ul></li>
        <li id="li_g5d_dgk_54b"><ph conkeyref="reusables-author-mode-customization/editorSort"
          /></li>
        <li id="li_j5d_dgk_54b"><ph
            conkeyref="reusables-author-mode-customization/fontInherit-property"/></li>
        <li id="li_k5d_dgk_54b"><ph
            conkeyref="reusables-author-mode-customization/hover-property-li"
          /><codeblock  id="codeblock_l5d_dgk_54b">p:before {
  content: oxy_popup(hoverPseudoclassName, 'showBorder')
}
p:showBorder {
  border: 1px solid red;
}</codeblock></li>
        <li id="li_c5d_dgk_54b"><uicontrol>labels</uicontrol> - Specifies the label associated with
          each entry used for presentation. If this property is not specified, the
            <uicontrol>values</uicontrol> property is used instead.</li>
        <li id="li_h5d_dgk_54b"><ph
            conkeyref="reusables-author-mode-customization/rendererSeparator-property"/></li>
        <li id="li_f5d_dgk_54b"><ph conkeyref="reusables-author-mode-customization/rendererSort"
          /></li>
        <li id="li_ztd_dgk_54b"><ph
            conkeyref="reusables-author-mode-customization/resultSeparator-property"/><note
            id="note_a5d_dgk_54b">The value of the <codeph>resultSeparator</codeph> property cannot
            exceed one character.</note></li>
        <li id="li_otd_dgk_54b"><ph conkeyref="reusables-author-mode-customization/property-rows"
            /><note id="note_ptd_dgk_54b">If the value of the <uicontrol>rows</uicontrol> property
            is not specified, the default value of <b>12</b> is used.</note></li>
        <li id="li_b5d_dgk_54b"><ph
            conkeyref="reusables-author-mode-customization/selectionMode-property"/></li>
        <li id="li_i5d_dgk_54b"><ph conkeyref="reusables-author-mode-customization/sort"/></li>
        <li id="li_sr3_3yr_4tb">
          <p id="li_jtd_dgk_54b"><ph
              conkeyref="reusables-author-mode-customization/tooltip-property"/></p>
        </li>
        <li id="li_ttd_dgk_54b">
          <p id="p_utd_dgk_54b"><ph
              conkeyref="reusables-author-mode-customization/tooltips-property"/></p>
          <p id="p_vtd_dgk_54b"
            ><b>Example:</b><codeblock  id="codeblock_wtd_dgk_54b">link:before{
 content: oxy_popup(
         edit, '@href',
         values, "Spring, Summer, Autumn, Winter",
         tooltips, "Iris${comma}Snowdrop, Gardenia${comma}Liliac,
             Chrysanthemum${comma}Salvia, Gerbera",
        selectionMode, single);  
}</codeblock></p>
        </li>
        <li id="li_xtd_dgk_54b"><ph conkeyref="reusables-author-mode-customization/values-property"
            /><note conkeyref="reusables-author-mode-customization/values-note"
            id="note_ytd_dgk_54b"/></li>
        <li id="li_std_dgk_54b"><ph conkeyref="reusables-author-mode-customization/visible-property"
          /></li>
        <li id="li_e5d_dgk_54b"><ph conkeyref="reusables-author-mode-customization/width-property"
          /></li>
      </ul></p>
    <p id="p_m5d_dgk_54b"><b><u>Example: <term>oxy_popup</term> Form
      Control</u></b><codeblock  id="codeblock_n5d_dgk_54b">popupWithMultipleSelection:before {
    content: " This editor edits an attribute value. 
                The possible values are specified
    inside the CSS: "
        oxy_popup(
            edit, "@attribute",
            values, "value1, value2, value3, value4, value5",
            labels, "Value no1, Value no2, Value no3, Value no4, Value no5",
            resultSeparator, "|",
            columns, 10,
            selectionMode, "multiple",
            color, "blue",
            fontInherit, true);
    font-size:30px;
}</codeblock></p>
    <note type="tip" id="note_o5d_dgk_54b">To insert a sample of the <codeph>oxy_popup</codeph> form control in a CSS file
        <ph product="author developer editor">(or LESS file)</ph>, invoke the <xref
        keyref="glossentry_content-completion-assistant"><term>Content Completion
        Assistant</term></xref> by pressing <uicontrol
        conkeyref="reusable-oxygen-shortcuts-list/ctrl_space"/> and select the <image
        href="../img/CodeTemplates12.gif" id="image_tls_ghh_5r"/>
      <codeph>oxy_popup</codeph> code template.<p id="p_p5d_dgk_54b"><ph
          conkeyref="reusables-author-mode-customization/samples-ph"/></p></note>
    <section id="section_jhq_vr2_w5b">
      <title>Resources</title>
      <p id="p_xpd_dgk_54b">For more information about form controls, watch our video
        demonstration:</p>
      <p id="p_ypd_dgk_54b"><object width="450" height="250"
          data="https://www.youtube.com/embed/-WY3wzkMSLM" outputclass="iframe">
          <param name="allowfullscreen" value="true"/>
        </object></p>
    </section>
  </body>
  <related-links>
      <link href="dg-oxygen-css-functions.dita"/>
      <link href="dg-visibility-css-extension.dita"/>
  </related-links>
</topic>
